.add-appointment-modal-body {
  height: 100vh;
  width: 400px;
  overflow-x: hidden;
}

.modal-header {
  background: #394085;
  font-size: 18px;
  color: white;
  border-radius: 0px;
}

.form-title-container {
  padding: 10px 10px;
  background: #D2C5F0;
  color: black;
  display: flex;
  font-weight: 600;
  font-size: 16px;
  align-items: center;
  justify-content: space-between;
  user-select: none;
}

.custom-search-color {
  color: black !important;
}

.custom-label {
  color: black !important;
  font-weight: 600;
  font-size: 16px;
}

.custom-footer {
  width: inherit;
  background-color: white !important;
  border-top: 1px solid #CDCCCE;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.modal-close-icon {
  cursor: pointer;
}

.end-by-date-wrapper {
  position: relative;
  width: 184px !important;
  height: 30px !important;
  border-radius: 4px !important;
}

.end-by-date-wrapper input{
  padding-left: 10px;
}

.end-by-date-wrapper .fa-calendar {
  position: absolute;
  right: 10px;
}

.end-after-input {
  width: 100px !important;
}

.repeat-on-every:hover, .end-after-input:hover, .end-by-date-wrapper:hover {
  border-color: #394085 !important;
}
.repeat-on-every, .end-after-input, .end-by-date-wrapper {
  width: 33px;
  color: #1c1b1b;
  border: 1px solid #1c1b1b;
  border-radius: 3px;
  height: 33px;
  font-size: 16px;
  letter-spacing: 0.15px;
  margin: 0 10px;
}

.repeat-on-every.disabled, .end-after-input.disabled, .end-by-date-wrapper.disabled {
  color: rgba(28, 27, 27, 0.3);
  border-color: rgba(28, 27, 27, 0.3);
  pointer-events: none;
}

.end-by-date-wrapper.disabled input{
  color: rgba(28, 27, 27, 0.3);
}

.end-by-date-input {
  border-color: transparent;
  height: 100%;
  padding-top: 3px;
}

.end-by-date-input:hover, .end-by-date-input:focus {
  outline: 0;
}

.recure-every-wrapper-y .repeat-on-every {
  width: 148px !important;
  height: 54px !important;
  margin-left: 20px !important;
  margin-right: 12px !important;
}

.input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.border-bottom-1px {
  margin-bottom: 10px;
}

.small-text {
  font-size: 12px;
  font-weight: 300;
  margin-bottom: 10px;
}

.monthly-day-label {
  font-size: 16px !important;
  margin-right: 20px;
  margin-top: 16px;
}

.yearly-day-label {
  font-size: 16px !important;
  margin-right: 65px;
  margin-top: 5px;
}

.monthly-day-control-container {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.monthly-input {
  height: 55px;
  font-size: 18px;
  width: 100%;
  padding: 10px;
  font-weight: 600;
  border-radius: 5px;
  border: 1px solid #abaab0;
}

.recurrence-every-label {
  white-space: nowrap;
  font-weight: 700;
  flex: 1;
  max-width: 105px;
}

.recurrence-yearly-container {
  display: flex;
  align-items: center;
  width: 100%;
}

.ngx-radio-button .mat-radio-label-content {
  padding-left: 8px !important;
}

.ngx-repeat-select-form-field .mat-form-field-wrapper {
  padding-bottom: 0 !important;
}

.recure-title {
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  color: #000000;
}

.recure-every-wrapper-y {
  padding-top: 17px;
}

.recure-every-wrapper {
  padding-top: 9px;
  padding-bottom: 25px;
}

.pl-16 {
  padding-left: 16px;
}

.ngx-end {
  margin-top: 22px;
}

.ngx-end-weekly{
  margin-top: 30px;
}

.ngx-end-monthly {
  margin-top: 13px;
}

.ngx-end-yearly {
  margin-top: 10px;
}

.end-content {
  margin-top: 25px;
}

.mt-17 {
  margin-top: 17px;
}

.occurence-label {
  color: rgba(0, 0, 0, 1);
}

.occurence-label.disabled {
  color: rgba(0, 0, 0, 0.3);
}

/* Chrome, Safari, Edge, Opera */
input.ngx-rrule::-webkit-outer-spin-button,
input.ngx-rrule::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input.ngx-rrule[type=number] {
  -moz-appearance: textfield;
}
